umbrello: CodeParameter Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
CodeParameter Class Referenceabstract

`#include <codeparameter.h>`

Inheritance diagram for CodeParameter:

## Public Slots
void | syncToParent ()

## Public Member Functions
| CodeParameter (ClassifierCodeDocument *doc, UMLObject *parentObj)
virtual | ~CodeParameter ()
ClassifierCodeDocument * | getParentDocument ()
UMLObject * | getParentObject ()
bool | getAbstract ()
bool | getStatic ()
QString | getName () const
virtual QString | getTypeName ()
Uml::Visibility::Enum | getVisibility () const
virtual void | setInitialValue (const QString &new_var)
virtual QString | getInitialValue ()
void | setComment (CodeComment *comment)
CodeComment * | getComment ()
QString | ID () const
virtual void | updateContent ()=0

## Protected Member Functions
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)

## Private Member Functions
void | initFields (ClassifierCodeDocument *doc, UMLObject *obj)

## Private Attributes
ClassifierCodeDocument * | m_parentDocument
UMLObject * | m_parentObject
CodeComment * | m_comment
QString | m_initialValue
| initial value of this code parameter More...

## Detailed Description

class CodeParameter A parameter on some type of code.

## Constructor & Destructor Documentation

## ◆ CodeParameter()

CodeParameter::CodeParameter | ( | ClassifierCodeDocument * | parentDoc,
|  | UMLObject * | parentObject
| ) |  |

Constructor.

## ◆ ~CodeParameter()

CodeParameter::~CodeParameter | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getAbstract()

bool CodeParameter::getAbstract | ( |  | ) |

Utility method to get the value of parent object abstract value

Returns
  the value of parent object abstrtact

## ◆ getComment()

CodeComment * CodeParameter::getComment | ( |  | ) |

Get the Comment on this object.

## ◆ getInitialValue()

QString CodeParameter::getInitialValue | ( |  | ) |
| virtual

Get the value of m_initialValue The initial value of this code parameter

Returns
  the value of m_initialValue

Reimplemented in CPPCodeClassField, DCodeClassField, JavaCodeClassField, and RubyCodeClassField.

## ◆ getName()

QString CodeParameter::getName | ( |  | ) | const

Utility method to get the value of parent object name The name of this code parameter.

Returns
  the value

## ◆ getParentDocument()

ClassifierCodeDocument * CodeParameter::getParentDocument | ( |  | ) |

Get the parent Code Document

## ◆ getParentObject()

UMLObject * CodeParameter::getParentObject | ( |  | ) |

Get the ParentObject object.

## ◆ getStatic()

bool CodeParameter::getStatic | ( |  | ) |

Utility method to get the value of parent object static Whether or not this is static.

Returns
  the value of static

## ◆ getTypeName()

QString CodeParameter::getTypeName | ( |  | ) |
| virtual

Utility method to get the value of parent object type. the typeName of this parameters (e.g. boolean, int, etc or perhaps Class name of an object)

Returns
  the value of type

Reimplemented in CodeClassField, DCodeClassField, JavaCodeClassField, and RubyCodeClassField.

## ◆ getVisibility()

Uml::Visibility::Enum CodeParameter::getVisibility | ( |  | ) | const

Utility method to get the value of parent object scope. The visibility of this code parameter.

Returns
  the value of parent object scope

## ◆ ID()

QString CodeParameter::ID | ( |  | ) | const

## ◆ initFields()

void CodeParameter::initFields | ( | ClassifierCodeDocument * | doc,
|  | UMLObject * | obj
| ) |  |
| private

## ◆ setAttributesFromNode()

void CodeParameter::setAttributesFromNode | ( | QDomElement & | root | ) |
| protectedvirtual

Set the class attributes of this object from the passed element node.

Reimplemented in CodeClassField.

## ◆ setAttributesOnNode()

void CodeParameter::setAttributesOnNode | ( | QXmlStreamWriter & | writer | ) |
| protectedvirtual

Set attributes of the node that represents this class in the XMI document.

Reimplemented in CodeClassField.

## ◆ setComment()

void CodeParameter::setComment | ( | CodeComment * | object | ) |

Set a Comment object.

## ◆ setInitialValue()

void CodeParameter::setInitialValue | ( | const QString & | new_var | ) |
| virtual

Set the value of m_initialValue. The initial value of this code parameter.

Parameters

  new_var | the new value of m_initialValue

## ◆ syncToParent

void CodeParameter::syncToParent | ( |  | ) |
| slot

Create the string representation of this code parameter.

Returns
  QString

## ◆ updateContent()

virtual void CodeParameter::updateContent | ( |  | ) |
| pure virtual

Implemented in CodeClassField.

## Member Data Documentation

## ◆ m_comment

CodeComment* CodeParameter::m_comment
| private

## ◆ m_initialValue

QString CodeParameter::m_initialValue
| private

initial value of this code parameter

## ◆ m_parentDocument

ClassifierCodeDocument* CodeParameter::m_parentDocument
| private

## ◆ m_parentObject

UMLObject* CodeParameter::m_parentObject
| private

The documentation for this class was generated from the following files:

- umbrello/codegenerators/codeparameter.h
- umbrello/codegenerators/codeparameter.cpp